<div class="row">
  <div id="fileUploadForm">
    <ul class="rightGrid">
      <li>
        <div class="">Asset Data [ only excel format supported ]<span style="color:red" >*</span>
          <a class="link ML20" (click)="downloadSampleFile()" *ngIf="showSampleFile"> Sample {{selectedAssetLabel}}</a>
        </div>
      </li>
      <li class="marginBtmSml" style="width: 100%; float: left">
        <div class="grid">
          <div class="dropdown uploadDropdown" mdbDropdown>
            <button mdbDropdownToggle type="button" class="btn dropdown-toggle dropdownBtn noMargin" mdbWavesEffect>
              <span style="margin-right: 2px">{{selectedAssetLabel}}</span> <span class="caret"></span>
            </button>
            <div class="dropdown-menu">
              <button class="dropdown-item  waves-light" *ngFor="let asset of assetlistForBulkUpload" [(ngModel)]="selectedAssetType" mdbRadio={{asset.type}} mdbWavesEffect
                      (click)="setSelectedAssetType(asset)">{{asset.label}}</button>
            </div>
          </div>
        </div>
        <div class="uploadFloorBtn float-left">
          <input type="file" id="file" accept=".xls , .xlsx" name='photo' ng2FileSelect [uploader]="uploader" (change)="fileChangeListener($event)"
                 [disabled]="!showSampleFile" required>
          <div class="mask ">{{fileName}}</div>
        </div>
      </li>
      <li class="marginBtmSml" *ngIf="SUBJECT.ASSET | can:ACTIONS.WRITE">
        <div class="btnMain">
          <button mat-raised-button color="accent" type="button" class=""
                  (click)="uploader.uploadAll()"
                  [disabled]="!uploader.getNotUploadedItems().length">Upload</button>
        </div>
      </li>
      <li class="remark">
        <p>Please make sure the uploaded file is compliance with the <span *ngIf="!showSampleFile">sample provided,</span> <a class="link" (click)="downloadSampleFile()" *ngIf="showSampleFile">sample provided,</a> maintain the column order with the sample provided,
          also do not change the header of the file and it should be a single sheet file.</p>
      </li>
    </ul>

  </div>

</div>

<!-- File input for the file-upload plugin, with special ng2-file-upload directive called ng2FileSelect -->
<!--
<input type="file" name="photo" ng2FileSelect [uploader]="uploader" accept=".xls"/>
-->
<!-- button to trigger the file upload when submitted -->
<!--<button type="button" class="btn btn-success btn-s"
        (click)="uploader.uploadAll()"
        [disabled]="!uploader.getNotUploadedItems().length">
  Upload with ng-2 file uploader
</button>-->


<table class="table" *ngIf="uploader.queue.length > 0">
  <thead>
  <tr>
    <th width="25%">Name</th>
    <th width="5%">Size</th>
    <th width="10%">Progress</th>
    <!--<th width="10%">Status</th>-->
    <!--<th width="20%">Actions</th>-->
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let item of uploader.queue">
    <td><strong>{{ item?.file?.name }}</strong></td>
    <td *ngIf="uploader.options.isHTML5" nowrap>{{ item?.file?.size/1024/1024 | number:'.2' }} MB</td>
    <td *ngIf="uploader.options.isHTML5">
      <div class="progress" style="margin-bottom: 0;">
        <div class="progress-bar" role="progressbar" [ngStyle]="{ 'width': item.progress + '%' }"></div>
      </div>
    </td>
    <!--<td class="text-center">
      <span *ngIf="item.isSuccess" style="font-size: 25px;"><i class="fa fa-check-circle"></i></span>
      <span *ngIf="item.isCancel" style="font-size: 25px;"><i class="fa fa-ban"></i></span>
      <span *ngIf="item.isError" style="font-size: 25px;"><i class="fa fa-window-close"></i></span>
    </td>-->
    <!--<td nowrap>
      <button type="button" class="btn btn-success btn-xs"
              (click)="item.upload()" [disabled]="item.isReady || item.isUploading || item.isSuccess">
        <span class="fa fa-file-upload"></span> Upload
      </button>
      <button type="button" class="btn btn-warning btn-xs"
              (click)="item.cancel()" [disabled]="!item.isUploading">
        <span class="fa fa-ban"></span> Cancel
      </button>
      <button type="button" class="btn btn-danger btn-xs"
              (click)="item.remove();">
        <span class="fa fa-eraser"></span> Remove
      </button>
    </td>-->
  </tr>
  </tbody>
</table>

<!--<app-alert-popup [bulkUploadErrorMsg]="responseMessage"></app-alert-popup>-->
<button class="btn showBulkUploadErrorMsgBtn" id="bulkUploadErrorMsgBtn" style="display: none"></button>

<div class="popup normal BulkUploadErrorMsgPopup">
  <div class="x close">X</div>
  <div class="popupCont subNormal">
    <div class="uploadFailed">
      <span>Upload Failed</span>
    </div>
    <div class="marginBtm mainNormal">
      <span *ngFor="let error of responseMessage">{{error}}</span>
    </div>
    <div class="btnMain small">
      <div class="btn confirm close">OK</div>
    </div>
  </div>
</div>
<div class="background"></div>

<div class="messagePopup uploadedSuccessfully">
  {{responseMessage[0]}}
</div>
